<?php

namespace App\Form\Config;

use App\Entity\MaterialType;
use App\Form\Type\CancelButtonType;
use Symfony\Component\Form\AbstractType;
use Symfony\Component\Form\Extension\Core\Type\SubmitType;
use Symfony\Component\Form\FormBuilderInterface;
use Symfony\Component\OptionsResolver\OptionsResolver;
use Symfony\Component\Routing\RouterInterface;

/**
 * The form for editing a material type
 */
class MaterialTypeEditForm extends AbstractType {
    /**
     * @var RouterInterface The router service
     */
    private readonly RouterInterface $router;

    /**
     * Initialization
     *
     * @param RouterInterface $router The router service
     */
    public function __construct (RouterInterface $router) {
        $this->router = $router;
    }

    /**
     * @inheritDoc
     */
    public function configureOptions (OptionsResolver $resolver): void {
        $resolver->setDefaults(
            [
                'data_class' => MaterialType::class,
            ]
        );
    }

    /**
     * @inheritDoc
     */
    public function buildForm (FormBuilderInterface $builder, array $options): void {
        $builder
            ->add('name', null, [
                'label' => 'Nom',
            ])
            ->add('stackName', null, [
                'label' => 'Nom de la pile',
            ])
            ->add('stackSize', null, [
                'label' => 'Taille de la pile',
            ])
            ->add('submit', SubmitType::class, [
                'label' => 'Enregistrer',
            ]);
    }
}